# Trello SCRUM

Generates PDF's with (+/-) one page per card with title, body and checklists. Print 4 of them on an A4 for the best action.

## Getting started

1. Install the trelloscrum gem: `gem install trelloscrum`
1. Create a `config.json` in the current directory by running `trelloscrum setup DEVELOPER_PUBLIC_KEY MEMBER_TOKEN BOARD_ID`. For more information on how to set up everything run `trelloscrum help setup`
1. Run `trelloscrum pdf --list="List title" output.pdf` to output all cards that have storypoints.

See commandline options below for more info.

## Card format

To get a nice output for cards (see below) write card titles in the following format (all fields are optional).

`(STORYPOINTS) [CLIENT] Rest of the title`

Other supported (native) Trello fields are:

* The card body of course (markdown is not supported)
* Card checklists (works best with just one list)
* Due date

This is an example output for a card generated by TrelloScrum

![Example card](https://github.com/flurin/trelloscrum/raw/master/doc/card_example.png)

## Commandline options

```
Commands:
  trelloscrum help [COMMAND]                                      # Describe available commands or one specific command
  trelloscrum pdf OUTFILE                                         # generate PDF for cards
  trelloscrum setup DEVELOPER_PUBLIC_KEY MEMBER_TOKEN [BOARD_ID]  # config trello

Options:
      [--config=CONFIG]           # Path to config, default is local directory/config.json
                                  # Default: ./config.json
  v, [--verbose], [--no-verbose]  # Verbose output
```

For more options run `trelloscrum help [COMMAND]`

## Config.json

```
{
  "developer_public_key" : "",
  "member_token" : "",
  "list_name" : "",
  "board_id" : ""
}
```

## License

- All code and documentation is licesned under the MIT license:
  - http://opensource.org/licenses/mit-license.html
- The Font Awesome font is licensed under the SIL OFL 1.1:
  - http://scripts.sil.org/OFL
- The OpenSans font is licensed under the Aapche license 2.0
  - https://raw.githubusercontent.com/flurin/trelloscrum/master/resources/Apache%20License.txt